IR.AddListener(IR.EVENT_START,0,function()
{
   var l_oList = IR.GetPage("Page 1").CreateItem(IR.ITEM_LISTBOX, "List", 16, 16, 320, 600);    //create list and get the link in one action
   var l_oPopup = IR.CreateItem(IR.ITEM_POPUP, "tmp", 0, 0, 320, 100);   //create a popup and get the link in one action
   var l_oButton = IR.GetPopup("tmp").CreateItem(IR.ITEM_BUTTON, "button", 2, 2, 316, 96);   //create item in popup and get the link in one action
   var l_oTriggerBut = IR.GetPopup("tmp").CreateItem(IR.ITEM_TRIGGER_BUTTON , "triggerBut", 230, 10, 80, 80);   //create trigger button in popup and get the link in one action
   var l_oNumBut = IR.GetPopup("tmp").CreateItem(IR.ITEM_TRIGGER_BUTTON , "nBut", 10, 10, 80, 80);   //create item in popup and get the link in one action. Show number off list element, when element was select
   
      
   var l_oAddList = IR.GetPage("Page 1").CreateItem(IR.ITEM_BUTTON, "Add", 352, 16, 240, 120);    //create button for add list element and get the link in one action
   var l_oDeleteList = IR.GetPage("Page 1").CreateItem(IR.ITEM_BUTTON, "Delete", 352, 152, 240, 120);    //create button for delete list element and get the link in one action
   var l_oClearList = IR.GetPage("Page 1").CreateItem(IR.ITEM_BUTTON, "Clear", 352, 284, 240, 120);    //create button for dlear list element and get the link in one action
   var l_oSetListPosDown = IR.GetPage("Page 1").CreateItem(IR.ITEM_BUTTON, "SetPos", 352, 416, 240, 120);    //create button for down position list element and get the link in one action 
   
   l_oList.GetState(0).FillColor = 0xFFFFFFFF;  //Set List color
   l_oAddList.Color = 0xFFFFFFFF;   //Set text color 
   l_oAddList.Text = "Add list";   //Set text 
   l_oDeleteList.Color = 0xFFFFFFFF;   //Set text color 
   l_oDeleteList.Text = "Delete list";   //Set text
   l_oClearList.Color = 0xFFFFFFFF;   //Set text color 
   l_oClearList.Text = "Clear list";   //Set text
   l_oSetListPosDown.Color = 0xFFFFFFFF;   //Set text color 
   l_oSetListPosDown.Text = "Down list";   //Set text
   
   l_oList.Template = "tmp";   //set list template 
      
   var l_nCount = 0   //create counter of added  elements
   //Set listener for press "add" button
   IR.AddListener(IR.EVENT_ITEM_PRESS, l_oAddList, function(){
      l_nCount += 1;   //increase counter
      l_oList.CreateItem(l_nCount, 1, {Text: "Hello World " + l_nCount, TextColor: 0x000000FF, FillColor:  0x34B3FeFF});   //add list element with properties   
   });
   //Set listener for press "delete" button
   IR.AddListener(IR.EVENT_ITEM_PRESS, l_oDeleteList, function(){
      l_oList.DeleteItem(l_nCount);   //delete last element in list
      if (l_nCount > 0)   
      {
         l_nCount -= 1;   //decrease counter
      }
      else l_nCount =0;   //set count in 0
   });
   //Set listener for press "clear" button
   IR.AddListener(IR.EVENT_ITEM_PRESS, l_oClearList, function(){
      l_nCount = 0;   //reset counter
      l_oList.Clear();   //clear all list elements    
   });
   //Set listener for press "setListPosDown" button
   IR.AddListener(IR.EVENT_ITEM_PRESS, l_oSetListPosDown, function(){
      l_oList.SetPosition(l_nCount);   //Set list position
   });
   //Set listener for press items on template
   IR.AddListener(IR.EVENT_LIST_ITEM_CHANGE, l_oList, function(in_nItem, in_nSubitem, in_nEventType, in_oObject) {
    if (in_nEventType == 11)   //create condition of press element
    {                       
       //
       if (in_oObject.Value == 0 && in_nSubitem == 15)   //create condition when press subitem 15 and value = 0  
       {
          l_oList.CreateItem(in_nItem, 2, {Text: "Off", TextColor: 0xFFFFFFFF, FillColor:  0xFF0000FF});   //change list element with properties 
          l_oList.CreateItem(in_nItem, 1, {TextColor: 0x000000FF, FillColor:  0x34B3FEFF});   //change list element with properties 
       }
       if (in_oObject.Value == 1 && in_nSubitem == 15)   //Set condition when press subitem 15 and value = 1 
       {
          l_oList.CreateItem(in_nItem, 2, {Text: "On", TextColor: 0x000000FF, FillColor:  0x6FF2B4FF});   //change list element with properties 
          l_oList.CreateItem(in_nItem, 1, {TextColor: 0x000000FF, FillColor:  0xFFFFFFFF});   //change list element with properties 
       }
       IR.Log("item : " + in_nItem + " , subitem : " + in_nSubitem + " , event_type : " + in_nEventType + " , object : " + in_oObject + "  ,  " + in_oObject.Name + " , " + in_oObject.Value);   //Log
    }
   });
   
   //Set listener for select list elements
   IR.AddListener(IR.EVENT_ITEM_SELECT, l_oList, function(in_nItem, ib_nSubitem) {
      IR.Log("pressed " + in_nItem + " / " + ib_nSubitem);   //Log
      l_oList.CreateItem(in_nItem, 3, {Text: "" + in_nItem, TextColor: 0xFFFFFFFF});   //Show number of selected element on item 
   });
   
});